
Foreman - Bug #11602

Disabling token_duration disables ks template substitution

08/28/2015 01:33 PM - Bryan Kearney

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1257833 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1257833

Description of problem: When using capsules, setting the token_duration to "0" stops the ks=<capsule> in the PXE template being

set and reverts to ks=<satellite server>

Version-Release number of selected component (if applicable):6.1.1

How reproducible:

Every time.

Steps to Reproduce:

1. Create a capsule and set subnet, domain and location. Capsule requires "Templates" option.

2. Create a new host using the subnet associated to the capsule & subnet

3. Check  /var/lib/tftboot/pxelinux.cfg/<mac addr> on the capsule

Actual results:

default linux

label linux

kernel boot/RedHat-7.1-x86_64-vmlinuz

append initrd=boot/RedHat-7.1-x86_64-initrd.img ks=http://<satellite Server>:80/unattended/provision network ks.sendmac

IPAPPEND 2

Expected results:

default linux

label linux

kernel boot/RedHat-7.1-x86_64-vmlinuz

append initrd=boot/RedHat-7.1-x86_64-initrd.img ks=http://<capsule

servre>:8000/unattended/provision?token=42e3c2e3-3841-44ab-a65a-c2dddfdff16f network ks.sendmac

IPAPPEND 2

Related issues:

Related to Smart Proxy - Bug #10259: Template proxy does not lookup by MAC ad... Closed 04/24/2015

History

#1 - 09/01/2015 04:31 AM - Dominic Cleal

- Related to Bug #10259: Template proxy does not lookup by MAC address added

#2 - 10/07/2016 01:23 PM - Bryan Kearney

- Status changed from New to Rejected

Closing downstream bug, closing this.
